diff options
author | dancer <dancer> | 2001-10-25 15:26:29 +0000 |
---|---|---|
committer | dancer <dancer> | 2001-10-25 15:26:29 +0000 |
commit | 03d8438e35cdfbd07519a2b2e3a8103bc07cc441 (patch) | |
tree | 348c48cb4ad89b939504861ea9aad7d1e667fdc0 | |
parent | b39021d9df79fc92a7b4981958050cdf68f1d692 (diff) | |
download | pbuilder-03d8438e35cdfbd07519a2b2e3a8103bc07cc441.tar pbuilder-03d8438e35cdfbd07519a2b2e3a8103bc07cc441.tar.gz |
added support for sponsorship
-rw-r--r-- | debian/changelog | 5 | ||||
-rwxr-xr-x | pbuilder-buildpackage | 2 | ||||
-rwxr-xr-x | pbuilder-checkparams | 4 | ||||
-rw-r--r-- | pbuilder-modules | 1 | ||||
-rw-r--r-- | pbuilder.1 | 10 | ||||
-rwxr-xr-x | pbuilderrc | 3 | ||||
-rw-r--r-- | pbuilderrc.5 | 11 |
7 files changed, 35 insertions, 1 deletions
diff --git a/debian/changelog b/debian/changelog index 9b74b78..04fb1e3 100644 --- a/debian/changelog +++ b/debian/changelog @@ -5,6 +5,11 @@ pbuilder (0.10) unstable; urgency=low * Depends on gcc, because debootstrap does not seem to function well without gcc. Actually, dpkg does not work without gcc, when it is asked questions about the "architecture." + * Add support for sponsor-uploading. Thus, forcing pbuilder to build + with + dpkg-buildpackage -m"Junichi Uekawa <dancer@debian.org>" + should be possible via + pbuiler build --sponsorship "Junichi Uekawa <dancer@debian.org>" -- Junichi Uekawa <dancer@debian.org> Thu, 25 Oct 2001 03:02:09 +0900 diff --git a/pbuilder-buildpackage b/pbuilder-buildpackage index 4a8bac5..45c2822 100755 --- a/pbuilder-buildpackage +++ b/pbuilder-buildpackage @@ -188,7 +188,7 @@ fi echo Building the package export PATH="/usr/sbin:/usr/bin:/sbin:/bin:/usr/X11R6/bin" -if ! $CHROOTEXEC /bin/bash -c "cd tmp/buildd/*/; dpkg-buildpackage"; then +if ! $CHROOTEXEC /bin/bash -c "cd tmp/buildd/*/; dpkg-buildpackage \"$DPKG_BUILDPACKAGEOPT\""; then echo "pbuilder: Failed autobuilding of package" >&2 abortingfunction exit 1; diff --git a/pbuilder-checkparams b/pbuilder-checkparams index 570d44d..0a63053 100755 --- a/pbuilder-checkparams +++ b/pbuilder-checkparams @@ -61,6 +61,10 @@ while [ -n "$1" ]; do --help) showhelp ;; + --sponsorship) + DPKG_BUILDPACKAGEOPT="-m$2"; + shift; shift; + ;; --*) echo "Error: Unknown option [$1] was specified " >&2 exit 1; diff --git a/pbuilder-modules b/pbuilder-modules index 29e4b66..59131c0 100644 --- a/pbuilder-modules +++ b/pbuilder-modules @@ -38,6 +38,7 @@ Operation Options: --extrapackages [packages-to-add on pbuilder create] --configfile [configuration file to load] --hookdir [hook directory] + --sponsorship [Name (address)] EOF exit 1 } @@ -151,6 +151,16 @@ chroot for distribution, pbuilder will call debootstrap with that as the 4th parameter in the chroot creation process. This allows for use of custom debootstrap hook script. + +.TP +.BI "--sponsorship [" "Name/address of maintainer" "]" + +For Debian developer to compile packge for a sponsored +person, the Maintainer: address is set to the sponsored, +but the upload needs to be signed by the sponsor. +Thus, this is required hack to make that possible. +Add your own name, so that you can sign your package. + .SH "FILES" .TP .I "/etc/pbuilderrc" @@ -22,3 +22,6 @@ HOOKDIR="" # make debconf not interact with user export DEBIAN_FRONTEND=noninteractive +#option to pass to dpkg-buildpackage. Usually blank. +DPKG_BUILDPACKAGEOPT=""; + diff --git a/pbuilderrc.5 b/pbuilderrc.5 index ea5e8e2..d54dfa7 100644 --- a/pbuilderrc.5 +++ b/pbuilderrc.5 @@ -112,6 +112,17 @@ hooks are not executed. .B "pbuilder update" will update to this distribution, if this is specified, unless command line option is specified to override this. + +.TP +.BI "DPKG_BUILDPACKAGEOPT=" "option to dpkg-buildpackage"; + +If this was specified, +.B dpkg-buildpackage +command will be executed with the option. +Overrided with +.B "--sponsorship" +command-line option. + .SH "FILES" .I "/etc/pbuilderrc" .SH "SEE ALSO" |